# Copyright (C) 2004-2006 Free Software Foundation, Inc.
#
# This file is free software, distributed under the terms of the GNU
# General Public License.  As a special exception to the GNU General
# Public License, this file may be distributed as part of a program
# that contains a configuration script generated by Autoconf, under
# the same distribution terms as the rest of that program.
#
# Generated by gnulib-tool.
#
# This file represents the compiled summary of the specification in
# gnulib-cache.m4. It lists the computed macro invocations that need
# to be invoked from configure.ac.
# In projects using CVS, this file can be treated like other built files.


# This macro should be invoked from ./configure.ac, in the section
# "Checks for programs", right after AC_PROG_CC, and certainly before
# any checks for libraries, header files, types and library functions.
AC_DEFUN([M4_EARLY],
[
  AC_REQUIRE([AC_PROG_RANLIB])
  AC_REQUIRE([AC_GNU_SOURCE])
  AC_REQUIRE([gl_USE_SYSTEM_EXTENSIONS])
])

# This macro should be invoked from ./configure.ac, in the section
# "Check for header files, types and library functions".
AC_DEFUN([M4_INIT],
[
  AM_CONDITIONAL([GL_COND_LIBTOOL], [false])
  gl_FUNC_ALLOCA
  gl_ERROR
  gl_EXITFAIL
  dnl gl_USE_SYSTEM_EXTENSIONS must be added quite early to configure.ac.
  gl_GETOPT
  AC_FUNC_MALLOC
  gl_MBCHAR
  gl_MBITER
  gl_FUNC_MEMCHR
  gl_FUNC_MKSTEMP
  gl_OBSTACK
  gl_REGEX
  gl_C_RESTRICT
  gl_SIZE_MAX
  gt_TYPE_SSIZE_T
  gl_STAT_MACROS
  gl_STDARG_H
  AM_STDBOOL_H
  gl_STRCASE
  gl_FUNC_STRTOL
  gl_HEADER_SYS_STAT_H
  gl_HEADER_UNISTD
  gl_FUNC_VASNPRINTF
  gl_FUNC_VASPRINTF
  gl_FUNC_WCWIDTH
  gl_XALLOC
  gl_XSIZE
  gl_XVASPRINTF
])

# This macro records the list of files which have been installed by
# gnulib-tool and may be removed by future gnulib-tool invocations.
AC_DEFUN([M4_FILE_LIST], [
  build-aux/gendocs.sh
  doc/fdl.texi
  doc/gendocs_template
  lib/alloca.c
  lib/alloca_.h
  lib/asnprintf.c
  lib/asprintf.c
  lib/binary-io.h
  lib/error.c
  lib/error.h
  lib/exit.h
  lib/exitfail.c
  lib/exitfail.h
  lib/getopt.c
  lib/getopt1.c
  lib/getopt_.h
  lib/getopt_int.h
  lib/gettext.h
  lib/malloc.c
  lib/mbchar.c
  lib/mbchar.h
  lib/mbuiter.h
  lib/memchr.c
  lib/mkstemp.c
  lib/obstack.c
  lib/obstack.h
  lib/printf-args.c
  lib/printf-args.h
  lib/printf-parse.c
  lib/printf-parse.h
  lib/regcomp.c
  lib/regex.c
  lib/regex.h
  lib/regex_internal.c
  lib/regex_internal.h
  lib/regexec.c
  lib/size_max.h
  lib/stat-macros.h
  lib/stat_.h
  lib/stdbool_.h
  lib/strcase.h
  lib/strcasecmp.c
  lib/strncasecmp.c
  lib/strnlen1.c
  lib/strnlen1.h
  lib/strtol.c
  lib/tempname.c
  lib/vasnprintf.c
  lib/vasnprintf.h
  lib/vasprintf.c
  lib/vasprintf.h
  lib/wcwidth.h
  lib/xalloc-die.c
  lib/xalloc.h
  lib/xasprintf.c
  lib/xmalloc.c
  lib/xsize.h
  lib/xvasprintf.c
  lib/xvasprintf.h
  m4/absolute-header.m4
  m4/alloca.m4
  m4/codeset.m4
  m4/eoverflow.m4
  m4/error.m4
  m4/exitfail.m4
  m4/extensions.m4
  m4/getopt.m4
  m4/intmax_t.m4
  m4/inttypes_h.m4
  m4/longdouble.m4
  m4/longlong.m4
  m4/mbchar.m4
  m4/mbiter.m4
  m4/mbrtowc.m4
  m4/memchr.m4
  m4/mkstemp.m4
  m4/obstack.m4
  m4/regex.m4
  m4/restrict.m4
  m4/signed.m4
  m4/size_max.m4
  m4/ssize_t.m4
  m4/stat-macros.m4
  m4/stdarg.m4
  m4/stdbool.m4
  m4/stdint_h.m4
  m4/strcase.m4
  m4/strerror_r.m4
  m4/strtol.m4
  m4/sys_stat_h.m4
  m4/uintmax_t.m4
  m4/ulonglong.m4
  m4/unistd_h.m4
  m4/vasnprintf.m4
  m4/vasprintf.m4
  m4/wchar_t.m4
  m4/wcwidth.m4
  m4/wint_t.m4
  m4/xalloc.m4
  m4/xsize.m4
  m4/xvasprintf.m4
])
